Summary:      Realtime modular synthesizer
Name:         ams
Version:      1.8.7
Release:      2
URL:          http://alsamodular.sourceforge.net
Source0:      %{name}-%{version}.tar.bz2
License:      GPL
Group:        Applications/Multimedia
BuildRoot:    %{_tmppath}/%{name}-%{version}-root
Requires:     jack-audio-connection-kit >= 0.80
Requires:     qt >= 3.3, fftw2-devel

BuildRequires: gcc-c++ alsa-lib-devel fftw-devel clalsadrv-devel
BuildRequires: jack-audio-connection-kit-devel ladspa-devel qt-devel

%description
AlsaModularSynth is a realtime modular synthesizer and effect
processor. It features MIDI controlled modular software synthesis,
realtime effect processing with capture, full control of all synthesis
and effect parameters via MIDI, integrated LADSPA Browser with search
capability and JACK Support.

%prep
%setup -q

%build
%ifarch %{ix86}
    %{__perl} -p -i -e "s,/usr/lib/qt3,/usr/lib/qt-3.3,g" Makefile
    %{__perl} -p -i -e "s,-lqt-mt,-lqt-mt -lqassistantclient,g" Makefile
%endif
%ifarch x86_64
    %{__perl} -p -i -e "s,/usr/lib/qt3,/usr/lib64/qt-3.3,g" Makefile
    %{__perl} -p -i -e "s,-lqt-mt,-lqt-mt -lqassistantclient,g" Makefile
%endif
# insert defines for old alsa api
INCLUDEFILES=`find . -type f -exec grep -q asoundlib {} \; -print`
for INCFILE in ${INCLUDEFILES} ; do
    %{__perl} -p -i -e 's|#include <alsa/asoundlib.h>|#define ALSA_PCM_OLD_HW_PARAMS_API\n#define ALSA_PCM_OLD_SW_PARAMS_API\n#include <alsa/asoundlib.h>|g' ${INCFILE}
done
# use rpm optimization flags
%{__perl} -p -i -e "s|CXXFLAGS=|CXXFLAGS=${RPM_OPT_FLAGS} |g" Makefile

%{__make}


%install
%{__rm} -rf %{buildroot}
%{__mkdir} -p %{buildroot}%{_bindir}
%{__mkdir} -p %{buildroot}%{_datadir}/ams
%{__install} -m 0755 ams %{buildroot}%{_bindir}
for dir in demos instruments tutorial ; do
    %{__mkdir} -p %{buildroot}%{_datadir}/ams/$dir
    %{__install} -m 644 $dir/*.ams %{buildroot}%{_datadir}/ams/$dir
done

%{__cat} << EOF > startcom-%{name}.desktop
[Desktop Entry]
Name=Alsa Modular Synth
Comment=Real time MIDI controller synthesizer
Icon=
Exec=%{_bindir}/%{name}
Terminal=false
Type=Application
EOF

%{__mkdir} -p %{buildroot}%{_datadir}/applications
desktop-file-install --vendor startcom \
    --dir %{buildroot}%{_datadir}/applications    \
    --add-category X-StartCom-Base                 \
    --add-category Application                    \
    --add-category AudioVideo                     \
    startcom-%{name}.desktop

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%doc INSTALL README LICENSE THANKS demos instruments tutorial
%{_bindir}/ams
%{_datadir}/ams
%{_datadir}/applications/startcom-%{name}.desktop

%changelog
* Mon Apr 17 2006 Eddy Nigg <eddy_nigg@startcom.org>
- Rebuild for StartCom Linux 5.0.x

* Mon May 30 2005 Eddy Nigg <eddy_nigg@startcom.org>
- more changes for StartCom Linux 4.0.x

* Fri Dec 24 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.8.7-2
- use rpm optimization flags
* Mon Dec 20 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 
- spec file cleanup
* Fri Aug 24 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.8.7-1
- updated to 1.8.7
- added clalsadrv-devel build requirement
